summaryrefslogtreecommitdiff
path: root/tests/tests/overwrite-junk
diff options
context:
space:
mode:
authorIan Jackson <ijackson@chiark.greenend.org.uk>2016-10-18 00:47:54 +0100
committerIan Jackson <ijackson@chiark.greenend.org.uk>2016-10-18 01:44:18 +0100
commit1a5d5c297c2532d445e9b5ad1cfc94cafd1ea978 (patch)
tree38890d5e472ab0c8939d7f4dc38504a22fe22d97 /tests/tests/overwrite-junk
parent72e085dab49f5a890f92de475934bbca29839b4d (diff)
Test suite: ovewrite-junk: New test
Check that we can overwrite things even if the tags are broken. Signed-off-by: Ian Jackson <ijackson@chiark.greenend.org.uk>
Diffstat (limited to 'tests/tests/overwrite-junk')
-rwxr-xr-xtests/tests/overwrite-junk22
1 files changed, 22 insertions, 0 deletions
diff --git a/tests/tests/overwrite-junk b/tests/tests/overwrite-junk
new file mode 100755
index 0000000..89070c4
--- /dev/null
+++ b/tests/tests/overwrite-junk
@@ -0,0 +1,22 @@
+#!/bin/bash
+set -e
+. tests/lib
+
+t-setup-import examplegit
+
+cd example
+
+suite=stable
+
+t-commit 'No changes, just send to stable' '' stable
+
+t-dgit -wgf build
+
+(
+ : "make a bit of a wrongness, which we still want to be able to overwrite"
+ cd $tmp/git/$p.git; git tag -f test-dummy/1.2 test-dummy/1.1
+)
+
+t-dgit push --overwrite=1.2 stable
+
+echo ok.